<?php
/*
Theme Name: Tigopedia
Based on: Tiga Theme by Shamsul Azhar
Theme URI: http://www.sizlopedia.com/tigopedia/
Description: Wordpress Theme That Makes You Sizzle
Author: Sizlopedia
Author URI: http://www.sizlopedia.com
Version: 1.0
*/

function has_dynamic_sidebar($name) {
	if (!function_exists('dynamic_sidebar'))
		return false;

	global $registered_sidebars, $registered_widgets;

	$index = sanitize_title($name);

	$sidebars_widgets = get_option('sidebars_widgets');

	$sidebar = $registered_sidebars[$index];

	if ( empty($sidebar) || !is_array($sidebars_widgets[$index]) || empty($sidebars_widgets[$index]) )
		return false;

	$did_one = false;
	foreach ( $sidebars_widgets[$index] as $name ) {
		$callback = $registered_widgets[$name]['callback'];

		if ( is_callable($callback) ) {
			$did_one = true;
		}
	}

	return $did_one;
}
?>

<!-- ##################################### Begin - Left Sidebar ##################### -->

<?php if (has_dynamic_sidebar('Tiga Left Sidebar')) { ?>
	<ul class="left-sidebar">
		<?php dynamic_sidebar("Tiga Left Sidebar"); ?>
	</ul>
<?php } else { ?>
	<div class="left-sidebar">

		<!-- Begin - Pages -->
			<div class="left-widget-title"><?php _te('Pages'); ?></div>
			<div class="left-widget">
			<ul>
			<?php wp_list_pages('sort_column=menu_order&title_li='); ?>
		        </ul>
			</div>
		<!-- End - Pages -->

		<!-- Begin - Categories -->
		<div class="left-widget-title"><?php _te('Categories'); ?></div>
		<div class="left-widget">
			<ul><?php wp_list_cats('sort_column=name&optioncount=1'); ?></ul>
		</div>
		<!-- End - Categories -->

		<!-- Begin - Archives -->
		<div class="left-widget-title"><?php _te('Archives'); ?></div>
			<div class="left-widget">
				<ul><?php wp_get_archives('type=monthly&show_post_count=true'); ?></ul>
			</div>
		<!-- End - Archives -->

		<!-- Begin - Links from the 'Links Manager'-->
			<div class="left-widget-title">Links Manager</div>
			<div class="left-widget"><ul><?php get_links_list('name'); ?></ul></div>
		<!-- End - Links from the 'Links Manager'-->


	</div> <!-- left-sidebar -->
<?php } ?> <!-- End checking of 'dynamic_sidebar' -->

<!-- ##################################### End - Left Sidebar ####################### -->

<!-- ##################################### Begin - Right Sidebar #################### -->

<?php if (has_dynamic_sidebar('Tiga Right Sidebar')) { ?>
	<ul class="right-sidebar">
		<?php dynamic_sidebar("Tiga Right Sidebar"); ?>
	</ul>
<?php } else { ?>
	<div class="right-sidebar">

		<!-- Begin - Google Ads -->
		<div class="right-widget-title">Ads By Google</div>
		<div class="right-widget"><script type="text/javascript"><!--
google_ad_client = "<?php tiga_getValue('AdsenseID'); ?>";;
google_ad_width = 180;
google_ad_height = 150;
google_ad_format = "180x150_as";
google_ad_type = "text_image";
google_ad_channel = "";
google_color_border = "FFFFFF";
google_color_bg = "FFFFFF";
google_color_link = "4592b7";
google_color_text = "769d1a";
google_color_url = "4592b7";
//--></script>
<script type="text/javascript"
  src="http://pagead2.googlesyndication.com/pagead/show_ads.js">
</script></div>
		<!-- End - Google Ads -->

		<!-- Begin - Search -->
		<div class="right-widget-title"><?php _te('Search'); ?></div>
		<div class="right-widget"><?php include (TEMPLATEPATH . '/searchform.php'); ?></div>
		<!-- End - Search -->

		<!-- Begin - Recent Posts -->
		<div class="right-widget-title"><?php _te('Recent Posts'); ?></div>
		<div class="right-widget">
			<ul><?php get_archives('postbypost',tiga_recentPostsCnt(),'custom','<li>','</li>'); ?></ul>
		</div>
		<!-- End - Recent Posts -->

		<!-- Begin - Meta -->
		<?php //if ( is_home() || is_page() ) { ?>
			<div class="right-widget-title"><?php _te('Meta'); ?></div>
			<div class="right-widget">
				<ul>
					<?php wp_register(); ?>
					<li><?php wp_loginout(); ?></li>
					<li><a href="http://validator.w3.org/check/referer" title="This page validates as XHTML 1.0 Transitional">Valid <abbr title="eXtensible HyperText Markup Language">XHTML</abbr></a></li>
					<li><a href="http://gmpg.org/xfn/"><abbr title="XHTML Friends Network">XFN</abbr></a></li>
					<li><a href="http://wordpress.org/" title="Powered by WordPress, state-of-the-art semantic personal publishing platform.">WordPress</a></li>
					<?php wp_meta(); ?>
				</ul>
			</div> <!-- right-widget -->
		<?php //} ?>
		<!-- End - Meta -->

	</div> <!-- right-sidebar -->
<?php } ?> <!-- End checking of 'dynamic_sidebar' -->

<!-- ##################################### End - Right Sidebar ###################### -->